import request from '../utils/request'
// let url = 'http://192.168.24.24:8090'
let url = ''
let url1 = '/help-se'

// 帮助题库一览
export function getProblemList(data) {
  return request({
    url: `${url1}/helpQuestionBank/query/getProblemList`,
    method: 'get',
    params: data
  })
}

// 获取第一级功能接口
export function getFirstLevelFunctionality(data) {
  return request({
    url: `${url1}/helpQuestionBank/query/getFirstLevelFunctionality`,
    method: 'get',
    params: data
  })
}

// 获取第二级功能接口
export function getSecondaryFunctionality(data) {
  return request({
    url: `${url1}/helpQuestionBank/query/getSecondaryFunctionality`,
    method: 'get',
    params: data
  })
}

// 获取第三级功能接口
export function getTertiaryFunctionality(data) {
  return request({
    url: `${url1}/helpQuestionBank/query/getTertiaryFunctionality`,
    method: 'get',
    params: data
  })
}

//增加新的问题数据接口
export function setNewModuleProblem(data) {
  return request({
    url: `${url1}/helpQuestionBank/api/setNewModuleProblem`,
    method: 'post',
    data: data
  })
}

//废弃(物理删除)单一的问题接口
export function deleteOneProblem(data) {
  return request({
    url: `${url1}/helpQuestionBank/api/deleteOneProblem`,
    method: 'post',
    data: data
  })
}

// 获取字典表数据接口
export function getDictionaryData(data) {
  return request({
    url: `${url1}/helpDictionary/query/getDictionaryData`,
    method: 'get',
    params: data
  })
}

// 获取图片地址
export function getFileList(data) {
  return request({
    url: '/appendix/query/getFileList',
    method: 'get',
    params: data
  })
}

// 获取单一问题的详情接口
export function getOneProblemDetails(data) {
  return request({
    url: `${url1}/helpQuestionBank/query/getOneProblemDetails`,
    method: 'get',
    params: data
  })
}
